Bug 976720 - [abrt] ardour-2.8.16-1.fc18: __pthread_mutex_lock: Process /usr/lib64/ardour2/ardour-2.8.16 was killed by signal 11 (SIGSEGV)
[abrt] ardour-2.8.16-1.fc18: __pthread_mutex_lock: Process /usr/lib64/ardour2...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ardour (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brendan Jones
Fedora Extras Quality Assurance
abrt_hash:6b288e8f6843644be9ea182d8a2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-21 05:49 EDT by Michele
Modified: 2014-02-05 16:54 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:54:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (37.30 KB, text/plain)
2013-06-21 05:49 EDT, Michele
no flags Details
File: cgroup (130 bytes, text/plain)
2013-06-21 05:49 EDT, Michele
no flags Details
File: core_backtrace (2.20 KB, text/plain)
2013-06-21 05:49 EDT, Michele
no flags Details
File: dso_list (14.12 KB, text/plain)
2013-06-21 05:49 EDT, Michele
no flags Details
File: environ (1.48 KB, text/plain)
2013-06-21 05:49 EDT, Michele
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-21 05:50 EDT, Michele
no flags Details
File: maps (73.72 KB, text/plain)
2013-06-21 05:50 EDT, Michele
no flags Details
File: open_fds (4.17 KB, text/plain)
2013-06-21 05:50 EDT, Michele
no flags Details
File: proc_pid_status (921 bytes, text/plain)
2013-06-21 05:50 EDT, Michele
no flags Details
File: var_log_messages (344 bytes, text/plain)
2013-06-21 05:50 EDT, Michele
no flags Details
File: xsession_errors (272 bytes, text/plain)
2013-06-21 05:50 EDT, Michele
no flags Details

  None (edit)
Description Michele 2013-06-21 05:49:40 EDT
Version-Release number of selected component:
ardour-2.8.16-1.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/lib64/ardour2/ardour-2.8.16
crash_function: __pthread_mutex_lock
executable:     /usr/lib64/ardour2/ardour-2.8.16
kernel:         3.6.10-4.fc18.x86_64
runlevel:       N 5
uid:            501

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __pthread_mutex_lock at pthread_mutex_lock.c:50
 #1 g_mutex_lock at gthread-posix.c:210
 #2 Lock at /usr/include/glibmm-2.4/glibmm/thread.h:833
 #3 apply_to_points<AutomationLine> at libs/ardour/ardour/automation_event.h:163
 #4 AutomationLine::reset at gtk2_ardour/automation_line.cc:1245
 #5 AutomationTimeAxisView::set_samples_per_unit at gtk2_ardour/automation_time_axis.cc:379
 #6 TimeAxisView::set_samples_per_unit at gtk2_ardour/time_axis_view.cc:669
 #7 RouteTimeAxisView::set_samples_per_unit at gtk2_ardour/route_time_axis.cc:824
 #8 sigc::internal::signal_emit0<void, sigc::nil>::emit at /usr/include/sigc++-2.0/sigc++/signal.h:772
 #9 Editor::post_zoom at /usr/include/sigc++-2.0/sigc++/signal.h:2669
Comment 1 Michele 2013-06-21 05:49:44 EDT
Created attachment 763713 [details]
File: backtrace
Comment 2 Michele 2013-06-21 05:49:47 EDT
Created attachment 763714 [details]
File: cgroup
Comment 3 Michele 2013-06-21 05:49:51 EDT
Created attachment 763715 [details]
File: core_backtrace
Comment 4 Michele 2013-06-21 05:49:54 EDT
Created attachment 763716 [details]
File: dso_list
Comment 5 Michele 2013-06-21 05:49:57 EDT
Created attachment 763717 [details]
File: environ
Comment 6 Michele 2013-06-21 05:50:00 EDT
Created attachment 763718 [details]
File: limits
Comment 7 Michele 2013-06-21 05:50:03 EDT
Created attachment 763719 [details]
File: maps
Comment 8 Michele 2013-06-21 05:50:07 EDT
Created attachment 763720 [details]
File: open_fds
Comment 9 Michele 2013-06-21 05:50:10 EDT
Created attachment 763721 [details]
File: proc_pid_status
Comment 10 Michele 2013-06-21 05:50:13 EDT
Created attachment 763722 [details]
File: var_log_messages
Comment 11 Michele 2013-06-21 05:50:17 EDT
Created attachment 763723 [details]
File: xsession_errors
Comment 12 Fedora Admin XMLRPC Client 2013-11-05 03:37:04 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 Fedora End Of Life 2013-12-21 09:05:32 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2014-02-05 16:54:15 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.